# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/Log.hpp File Reference

`#include <vlCore/String.hpp>`
`#include <vlCore/IMutex.hpp>`
`#include <fstream>`

Go to the source code of this file.

## Classes

class | vl::Log
| Utility class to generate logs. More...
class | vl::StandardLog
| The StandardLog class outputs the log messages on the stdout device and optionally also on a specified file. More...

## Namespaces

namespace | vl

| Visualization Library namespace.

## Functions

VLCORE_EXPORT void | vl::setDefLogger (Log *logger)
| Installs the default logger used by Visualization Library. Setting this to NULL will disable logging.
VLCORE_EXPORT Log * | vl::defLogger ()
| Returns the currently installed default logger.

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:27.
Permission is granted to use this page to write and publish articles regarding Visualization Library.